# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`firefox`](#firefox): Manage the Firefox web browser

### Defined types

* [`firefox::pref`](#firefoxpref): Manage a Firefox preference

## Classes

### <a name="firefox"></a>`firefox`

Manage the Firefox web browser

#### Parameters

The following parameters are available in the `firefox` class:

* [`directory`](#directory)
* [`owner`](#owner)
* [`group`](#group)
* [`package`](#package)
* [`package_ensure`](#package_ensure)
* [`manage_package`](#manage_package)
* [`package_provider`](#package_provider)
* [`managed_directories`](#managed_directories)
* [`preferences_file`](#preferences_file)
* [`policies_file`](#policies_file)
* [`policies`](#policies)

##### <a name="directory"></a>`directory`

Data type: `Stdlib::Absolutepath`

Base directory of Firefox's installation

##### <a name="owner"></a>`owner`

Data type: `Optional[String[1]]`

User owning the configuration files

##### <a name="group"></a>`group`

Data type: `Optional[String[1]]`

Group owning the configuration files

##### <a name="package"></a>`package`

Data type: `String`

The name of the firefox package

##### <a name="package_ensure"></a>`package_ensure`

Data type: `Enum['present', 'latest']`

Value of the ensure parameter of the firefox package

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`

Manage the firefox package on the system

Default value: ``true``

##### <a name="package_provider"></a>`package_provider`

Data type: `Optional[String[1]]`

Value of the provider parameter of the firefox package

Default value: ``undef``

##### <a name="managed_directories"></a>`managed_directories`

Data type: `Array[String[1]]`

A list of directories to manage

Default value: `[
    'browser/defaults',
    'browser/defaults/preferences',
    'distribution',
  ]`

##### <a name="preferences_file"></a>`preferences_file`

Data type: `Stdlib::Absolutepath`

Path to Firefox's preferences configuration file

Default value: `"${directory}/browser/defaults/preferences/00-puppet-preferences.js"`

##### <a name="policies_file"></a>`policies_file`

Data type: `Stdlib::Absolutepath`

Path to Firefox's policies file

Default value: `"${directory}/distribution/policies.json"`

##### <a name="policies"></a>`policies`

Data type: `Hash`

The policies to deploy, see https://github.com/mozilla/policy-templates for the structure of this Hash

Default value: `{}`

## Defined types

### <a name="firefoxpref"></a>`firefox::pref`

Manage a Firefox preference

#### Parameters

The following parameters are available in the `firefox::pref` defined type:

* [`value`](#value)
* [`locked`](#locked)

##### <a name="value"></a>`value`

Data type: `Variant[Integer, Float, String, Boolean]`

Value of the preference

##### <a name="locked"></a>`locked`

Data type: `Boolean`

Indicate if users are able to override this setting

Default value: ``false``

